===============
Display Options
===============

Display options commands are used to store settings that specify how assemblies and parts are to be displayed and how annotations are to be rendered in a particular viewport.


Object features
---------------

AssemblyDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.AssemblyDisplayOptions.AssemblyDisplayOptions
    :members:

    .. autoclasstoc::

BCDisplayOptions
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.BCDisplayOptions.BCDisplayOptions
    :members:

    .. autoclasstoc::

ConstraintDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.ConstraintDisplayOptions.ConstraintDisplayOptions
    :members:

    .. autoclasstoc::

EngineeringFeatureDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.EngineeringFeatureDisplayOptions.EngineeringFeatureDisplayOptions
    :members:

    .. autoclasstoc::

GeometricRestrictionDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.GeometricRestrictionDisplayOptions.GeometricRestrictionDisplayOptions
    :members:

    .. autoclasstoc::

GeometryDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.GeometryDisplayOptions.GeometryDisplayOptions
    :members:

    .. autoclasstoc::

GraphicsInfo
~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.GraphicsInfo.GraphicsInfo
    :members:

    .. autoclasstoc::

GraphicsOptions
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.GraphicsOptions.GraphicsOptions
    :members:

    .. autoclasstoc::

InteractionDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.InteractionDisplayOptions.InteractionDisplayOptions
    :members:

    .. autoclasstoc::

Light
~~~~~

.. autoclass:: abaqus.DisplayOptions.Light.Light
    :members:

    .. autoclasstoc::

LightArray
~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.LightArray.LightArray
    :members:

    .. autoclasstoc::

LightOptions
~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.LightOptions.LightOptions
    :members:

    .. autoclasstoc::

LoadDisplayOptions
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.LoadDisplayOptions.LoadDisplayOptions
    :members:

    .. autoclasstoc::

MeshDisplayOptions
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.MeshDisplayOptions.MeshDisplayOptions
    :members:

    .. autoclasstoc::

OptimizationTaskDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.OptimizationTaskDisplayOptions.OptimizationTaskDisplayOptions
    :members:

    .. autoclasstoc::

PartDisplayOptions
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.PartDisplayOptions.PartDisplayOptions
    :members:

    .. autoclasstoc::

PredefinedFieldDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.PredefinedFieldDisplayOptions.PredefinedFieldDisplayOptions
    :members:

    .. autoclasstoc::

StopConditionDisplayOptions
~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.StopConditionDisplayOptions.StopConditionDisplayOptions
    :members:

    .. autoclasstoc::

SymbolDisplayOptions
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.SymbolDisplayOptions.SymbolDisplayOptions
    :members:

    .. autoclasstoc::

ViewportAnnotationOptions
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.DisplayOptions.ViewportAnnotationOptions.ViewportAnnotationOptions
    :members: